# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- Search and filter controls for the data viewing commands

### Fixed

- RSS feeds without a build date would break the subscription task
- TypeError when an RSS item lacks a title or description
- Fix an issue with a missing field on the Subscription model

### Changed

- Show whether a subscription is active or inactive when using a data view command
- Added `unique_content_rules` field to `Subscription` dataclass (support latest pyrss-website version)
- Update changelog to follow [Keep a Changelog](https://keepachangelog.com/en/1.1.0/)

## [0.2.0] - 2024-08-19

### Added

- Command to view tracked content from the relevant server
- Command to test the bot's permissions in a specified channel
- `GuildSettings` dataclass

### Fixed

- channels are `NoneType` because they didn't exist in the cache, fixed by fetching from API

### Changed

- Subscription task will ignore subscriptions flagged as 'inactive'
- Code optimisation 

### Removed

- Unused and commented out code

## [0.1.1] - 2024-08-17

### Added

- Start of changelog
- Versioning with tagged docker images

## [0.1.0] - 2024-08-13
